import { TemplateRef } from '@angular/core';
import { SchemeDetailModal } from './scheme-detail.modal';
import { LayOutModel } from '../../styles/style.model';
import { ActivatedRoute, Router } from '@angular/router';
import { RestService } from '../../services/rest.service';
import { StorageServiceService } from '../../services/storage.service';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { EventsService } from '../../services/events.service';
import { MessageService } from 'primeng/api';
import * as i0 from "@angular/core";
export declare class SchemeDetailComponent {
    private activeRoute;
    private restService;
    private storageService;
    private matDialog;
    private readonly router;
    private readonly _eventService;
    private readonly messageService;
    data: SchemeDetailModal | null;
    index?: number;
    edit?: boolean;
    showChargesTemplate: TemplateRef<HTMLDivElement>;
    dialogRef: MatDialogRef<any>;
    scrollToTermsAndCondition: boolean;
    constructor(activeRoute: ActivatedRoute, restService: RestService, storageService: StorageServiceService, matDialog: MatDialog, router: Router, _eventService: EventsService, messageService: MessageService);
    ngOnInit(): void;
    getKeys(obj: any): string[];
    Object: ObjectConstructor;
    styles: any;
    selectedStore: any;
    selectedStaff: any;
    stores: any[];
    staffMembers: any[];
    minAmount: number;
    maxAmount: number;
    monthlyAmount: number;
    installmentOptions: any[];
    schemeDetails: any;
    maturityCount: number;
    benefitAmount: number;
    metalPrice: any;
    purchasedGram: number;
    currentGoldRate: number;
    termsAndCondition: boolean;
    get stylesLayout(): LayOutModel;
    enrollButtonLoader: boolean;
    getButtonData(index: number): import("../../styles/style.model").Button | undefined;
    getButtonId(index: number): string;
    getButtonStyle(index: number): import("../../styles/style.model").ButtonStyleModel | undefined;
    get getInputText(): string;
    screenWidth: number;
    getScreenSize(event?: any): void;
    getStaffList(): void;
    onAmountChange(): void;
    setMonthlyAmount(amount: any): void;
    faqList: any[];
    getSchemeDetails(schemeId: any): void;
    enrollScheme(scheme: any): void;
    closeDialog(action: 'SUCCESS' | 'FAIL'): void;
    storeCharges: any;
    continuePayment(payload: any): void;
    openCashfreeSdk(sessionId: string): void;
    getMetalPrice(): void;
    get isMobile(): boolean;
    scrollDown(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SchemeDetailComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SchemeDetailComponent, "simpo-scheme-detail", never, { "data": { "alias": "data"; "required": false; }; "index": { "alias": "index"; "required": false; }; "edit": { "alias": "edit"; "required": false; }; }, {}, never, never, true, never>;
}
